# This file is licensed under the terms of GNU GPLv2+
Name:           perl-smartmatch-engine-core
Version:        0.02
Release:        1%{?dist}
Summary:        Default smartmatch implementation from 5.10---5.14
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/smartmatch-engine-core/
Source0:        http://search.cpan.org/CPAN/authors/id/D/DO/DOY/smartmatch-engine-core-%{version}-TRIAL.tar.gz
BuildRequires:  perl(Devel::CallChecker)
BuildRequires:  perl(ExtUtils::MakeMaker)
# Tests:
BuildRequires:  perl(Carp)
BuildRequires:  perl(Hash::Util::FieldHash)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(smartmatch) >= 0.03
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Test::More) >= 0.88
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       perl(smartmatch) >= 0.03

%{?perl_default_filter}

%description
This module implements the existing smart matching algorithm from perl 5.14,
as a module. It has a pure perl implementation of the algorithm (which can be
requested by setting $smartmatch::engine::core::USE_PP to a true value before
"use"-ing this engine), but by default it uses a C implementation which should
be identical to the algorithm in 5.14 - this module uses some new compiler
hooks to turn calls to the engine's "match" function into a custom op-code,
which is implemented by a copy of the smart match code from perl 5.14.

%prep
%setup -q -n smartmatch-engine-core-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes LICENSE README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/smartmatch*
%{_mandir}/man3/*

%changelog
* Mon Jul 11 2011 Petr Pisar <ppisar@redhat.com> 0.02-1
- Initial version
